export enum SocketEvent {
  CHARACTER_CONNECT = 1,
  CHARACTER_MOVE = 2,
  CHARACTER_MOVE_ERROR = 3,
  CHARACTER_TELEPORT = 4,
  MAP_CHARACTER_LEAVE = 5,
  MAP_CHARACTER_JOIN = 6,
  MAP_CHARACTER_LIST = 7,
  MAP_CHARACTER_DELETE = 8,
  MAP_CHARACTER_CREATE = 9,
  MAP_CHARACTER_UPDATE = 10,
  MAP_CHARACTER_HAIR_UPDATE = 11,
  MAP_CHARACTER_HAIR_LIST = 12,
  MAP_CHARACTER_TELEPORT = 13
}

export enum ItemType {
  WEAPON = 'WEAPON',
  HELMET = 'HELMET',
  CHEST = 'CHEST',
  LEGS = 'LEGS',
  BOOTS = 'BOOTS',
  GLOVES = 'GLOVES',
  RING = 'RING',
  NECKLACE = 'NECKLACE'
}

export enum ItemRarity {
  COMMON = 'COMMON',
  UNCOMMON = 'UNCOMMON',
  RARE = 'RARE',
  EPIC = 'EPIC',
  LEGENDARY = 'LEGENDARY'
}

export enum CharacterGender {
  MALE = 'MALE',
  FEMALE = 'FEMALE'
}

export enum CharacterRace {
  HUMAN = 'HUMAN',
  ELF = 'ELF',
  DWARF = 'DWARF',
  ORC = 'ORC',
  GOBLIN = 'GOBLIN'
}

export enum CharacterEquipmentSlotType {
  HEAD = 'HEAD',
  BODY = 'BODY',
  ARMS = 'ARMS',
  LEGS = 'LEGS',
  NECK = 'NECK',
  RING = 'RING'
}

export enum MapEventTileType {
  BLOCK = 'BLOCK',
  TELEPORT = 'TELEPORT',
  NPC = 'NPC',
  ITEM = 'ITEM'
}
